=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-09-08 05:34:16 +0000
+++ drizzled/handler.cc	2008-09-26 23:52:54 +0000
@@ -196,13 +196,6 @@
     return NULL;
   }
 
-  switch (database_type) {
-  case DB_TYPE_HASH:
-    return ha_resolve_by_legacy_type(thd, DB_TYPE_HASH);
-  default:
-    break;
-  }
-
   return ha_default_handlerton(thd);
 } /* ha_checktype */
 
@@ -416,16 +409,11 @@
     "memory" hton which will be configurable longterm. We should be able to 
     remove partition and myisammrg.
   */
-  switch (hton->db_type) {
-  case DB_TYPE_HEAP:
+  if (strcmp(plugin->plugin->name, "MEMORY") == 0)
     heap_hton= hton;
-    break;
-  case DB_TYPE_MYISAM:
+
+  if (strcmp(plugin->plugin->name, "MyISAM") == 0)
     myisam_hton= hton;
-    break;
-  default:
-    break;
-  };
 
   return(0);
 err:

=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2008-09-26 23:31:37 +0000
+++ drizzled/handler.h	2008-09-26 23:52:54 +0000
@@ -294,23 +294,7 @@
 
 enum legacy_db_type
 {
-  DB_TYPE_UNKNOWN=0,DB_TYPE_DIAB_ISAM=1,
-  DB_TYPE_HASH,DB_TYPE_MISAM,DB_TYPE_PISAM,
-  DB_TYPE_RMS_ISAM, DB_TYPE_HEAP, DB_TYPE_ISAM,
-  DB_TYPE_MRG_ISAM, DB_TYPE_MYISAM, DB_TYPE_MRG_MYISAM,
-  DB_TYPE_BERKELEY_DB, DB_TYPE_INNODB,
-  DB_TYPE_GEMINI, DB_TYPE_NDBCLUSTER,
-  DB_TYPE_EXAMPLE_DB, DB_TYPE_ARCHIVE_DB, DB_TYPE_CSV_DB,
-  DB_TYPE_FEDERATED_DB,
-  DB_TYPE_BLACKHOLE_DB,
-  DB_TYPE_PARTITION_DB,
-  DB_TYPE_BINLOG,
-  DB_TYPE_SOLID,
-  DB_TYPE_PBXT,
-  DB_TYPE_TABLE_FUNCTION,
-  DB_TYPE_MEMCACHE,
-  DB_TYPE_FALCON,
-  DB_TYPE_MARIA,
+  DB_TYPE_UNKNOWN=0,
   DB_TYPE_FIRST_DYNAMIC=42,
   DB_TYPE_DEFAULT=127 // Must be last
 };

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-09-04 18:16:51 +0000
+++ drizzled/log.cc	2008-09-26 23:52:54 +0000
@@ -718,7 +718,6 @@
 {
   binlog_hton= (handlerton *)p;
   binlog_hton->state=opt_bin_log ? SHOW_OPTION_YES : SHOW_OPTION_NO;
-  binlog_hton->db_type=DB_TYPE_BINLOG;
   binlog_hton->savepoint_offset= sizeof(my_off_t);
   binlog_hton->close_connection= binlog_close_connection;
   binlog_hton->savepoint_set= binlog_savepoint_set;

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-09-26 23:31:37 +0000
+++ drizzled/table.cc	2008-09-26 23:52:54 +0000
@@ -496,7 +496,7 @@
   if (db_create_options & HA_OPTION_LONG_BLOB_PTR)
     share->blob_ptr_size= portable_sizeof_char_ptr;
   /* Set temporarily a good value for db_low_byte_first */
-  share->db_low_byte_first= test(legacy_db_type != DB_TYPE_ISAM);
+  share->db_low_byte_first= true;
   error=4;
   share->max_rows= uint4korr(head+18);
   share->min_rows= uint4korr(head+22);

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-08-18 20:57:01 +0000
+++ storage/archive/ha_archive.cc	2008-09-26 23:52:54 +0000
@@ -163,7 +163,6 @@
 
   archive_hton= (handlerton *)p;
   archive_hton->state= SHOW_OPTION_YES;
-  archive_hton->db_type= DB_TYPE_ARCHIVE_DB;
   archive_hton->create= archive_create_handler;
   archive_hton->flags= HTON_NO_FLAGS;
   archive_hton->discover= archive_discover;

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-08-16 22:34:15 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-09-26 23:52:54 +0000
@@ -276,7 +276,6 @@
   handlerton *blackhole_hton;
   blackhole_hton= (handlerton *)p;
   blackhole_hton->state= SHOW_OPTION_YES;
-  blackhole_hton->db_type= DB_TYPE_BLACKHOLE_DB;
   blackhole_hton->create= blackhole_create_handler;
   blackhole_hton->flags= HTON_CAN_RECREATE;
   

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-08-18 20:57:01 +0000
+++ storage/csv/ha_tina.cc	2008-09-26 23:52:54 +0000
@@ -107,7 +107,6 @@
   (void) hash_init(&tina_open_tables,system_charset_info,32,0,0,
                    (hash_get_key) tina_get_key,0,0);
   tina_hton->state= SHOW_OPTION_YES;
-  tina_hton->db_type= DB_TYPE_CSV_DB;
   tina_hton->create= tina_create_handler;
   tina_hton->flags= (HTON_CAN_RECREATE | HTON_SUPPORT_LOG_TABLES | 
                      HTON_NO_PARTITION);

=== modified file 'storage/heap/ha_heap.cc'
--- storage/heap/ha_heap.cc	2008-08-16 22:34:15 +0000
+++ storage/heap/ha_heap.cc	2008-09-26 23:52:54 +0000
@@ -35,7 +35,6 @@
 
   heap_hton= (handlerton *)p;
   heap_hton->state=      SHOW_OPTION_YES;
-  heap_hton->db_type=    DB_TYPE_HEAP;
   heap_hton->create=     heap_create_handler;
   heap_hton->flags=      HTON_CAN_RECREATE;
 

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-09-22 13:44:04 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-09-26 23:52:54 +0000
@@ -1396,7 +1396,6 @@
         innodb_hton_ptr = innobase_hton;
 
         innobase_hton->state = SHOW_OPTION_YES;
-        innobase_hton->db_type= DB_TYPE_INNODB;
         innobase_hton->savepoint_offset=sizeof(trx_named_savept_t);
         innobase_hton->close_connection=innobase_close_connection;
         innobase_hton->savepoint_set=innobase_savepoint;

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-08-25 19:04:45 +0000
+++ storage/myisam/ha_myisam.cc	2008-09-26 23:52:54 +0000
@@ -1776,7 +1776,6 @@
 
   myisam_hton= (handlerton *)p;
   myisam_hton->state= SHOW_OPTION_YES;
-  myisam_hton->db_type= DB_TYPE_MYISAM;
   myisam_hton->create= myisam_create_handler;
   myisam_hton->flags= HTON_CAN_RECREATE | HTON_SUPPORT_LOG_TABLES;
   return 0;

